package com.atlassian.bitbucket.scm.git.command.init;

import com.atlassian.bitbucket.scm.Command;
import com.atlassian.bitbucket.scm.git.command.GitCommandBuilderSupport;

import javax.annotation.Nonnull;

public interface GitInitBuilder extends GitCommandBuilderSupport<GitInitBuilder> {

    @Nonnull
    Command<?> build();

    @Nonnull
    GitInitBuilder bare(boolean value);

    @Nonnull
    GitInitBuilder directory(String value);

    @Nonnull
    GitInitBuilder quiet(boolean value);

    @Nonnull
    GitInitBuilder shared(String value);
}
